Bug 996804 - openvswitch service is not started but the daemons are running
openvswitch service is not started but the daemons are running
Product: Fedora
Classification: Fedora
Component: openvswitch (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Flavio Leitner
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-08-13 22:02 EDT by Flavio Leitner
Modified: 2014-07-07 08:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-07-07 08:43:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Flavio Leitner 2013-08-13 22:02:20 EDT
Description of problem:

After the fix for bz#818754, it's possible that a device with ONBOOT=yes initializes openvswitch-nonetwork which starts the daemons, but openvswitch service is left stopped.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Configure an OVS interface with ONBOOT=yes
2. Disable NM, enable network script
3. Reboot

Actual results:
The openvswitch service is stopped but the daemons started by openvswitch-nonetwork are running.

Expected results:
The openvswitch service should reflect the actual situation.

The following patch fixes the issue by changing -nonetwork service to start openvswitch service using 'Wants='. 

--- /usr/lib/systemd/system/openvswitch-nonetwork.service        2013-08-13 15:59:37.065366471 -0300
+++ /usr/lib/systemd/system/openvswitch-nonetwork.service       2013-08-13 22:37:35.561131489 -0300
@@ -2,6 +2,7 @@
 Description=Open vSwitch Internal Unit

Comment 1 Fedora Update System 2013-08-14 12:58:49 EDT
openvswitch-1.10.0-7.fc19 has been submitted as an update for Fedora 19.
Comment 2 Fedora Update System 2013-08-27 19:37:14 EDT
openvswitch-1.10.0-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora End Of Life 2013-09-16 13:06:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.